//..............................................................................
// -*- Mode: C++; -*-
//                          Package   : DataHandler
// OrbConfig.h              Author    : Deanna Evans (dke),
//                                      Ed Kraemer (eck), and
//                                      Mark Pumar (map) 
//
//  This file is part of DataHandler.
//
//  DataServer is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
//  USA.
//
//..............................................................................
// Description: The functions herein are used to configure the orb and naming
//              service.
//
//    THIS IS PART OF THE CONFIGURABLE INTERFACE AND HAS BEEN WRITTEN AS A
//    USGS SPECIFIC IMPLEMENTATION.
//..............................................................................
//
#ifndef _ORB_CONFIG_H_
#define _ORB_CONFIG_H_

// Include files
#include <string>

// Platform specific defines
#ifdef __WIN32__
#define DLL_EXPORT __declspec(dllexport)
#else
#define DLL_EXPORT
#endif

extern "C"
{
   DLL_EXPORT unsigned long getMsgSize(void);
   DLL_EXPORT std::string   getContextKind(void);  
   DLL_EXPORT std::string   getContextID(void);
   DLL_EXPORT std::string   getObjectKind(void);
   DLL_EXPORT std::string   getObjectID(void);
   DLL_EXPORT std::string   getFileExt(void);
   DLL_EXPORT std::string   getPathDelimiter(void);
} // extern C
#endif
//..............................................................................
//*END * END * END * END * END * END * END * END * END * END * END * END * END *
//..............................................................................
