//..............................................................................
// -*- Mode: C++; -*-
//                          Package   : DataServer
// FileService.h            Author    : Deanna Evans (dke),
//                                      Ed Kraemer (eck) and,
//                                      Mark Pumar (map) 
//
//  This file is part of DataServer.
//
//  DataServer is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
//  USA.
//
//..............................................................................
// Description: The functions define herein are used to return the path and 
//              list of available data files. 
//..............................................................................
//
#ifndef _FILE_SERVICE_H_
#define _FILE_SERVICE_H_

// Include files
#include <string>

namespace FileService
{
   // Namespace definition functions
   std::string fsGetAbsDir(void);
   std::string fsGetFileList(std::string dirname,std::string fileExt);
}
#endif

//..............................................................................
//*END * END * END * END * END * END * END * END * END * END * END * END * END *
//..............................................................................
